My Project: dgCollisionUserMesh Class Reference

My Project

Public Types | Public Member Functions | List of all members
dgCollisionUserMesh Class Reference

`#include <dgCollisionUserMesh.h>`

Inheritance diagram for dgCollisionUserMesh:

## Public Types

typedef void(dgApi * | OnUserMeshDestroyCallback) (void *const userData)
typedef dgFloat32(dgApi * | OnUserMeshRayHitCallback) (dgCollisionMeshRayHitDesc &rayHitdata)
typedef void(dgApi * | OnUserMeshCollisionInfo) (void *userData, dgCollisionInfo *infoRecord)
typedef void(dgApi * | OnUserMeshCollideCallback) (void *const collideData, const void *const continueHandle)
typedef dgInt32(dgApi * | OnUserMeshAABBOverlapTest) (void *const userData, const dgVector &boxP0, const dgVector &boxP1)
typedef void(dgApi * | OnUserMeshSerialize) (void *const userSerializeData, dgSerialize function, void *const serilalizeObject)
typedef void(dgApi * | OnUserMeshFacesInAABB) (void *userData, const dgFloat32 *p0, const dgFloat32 *p1, const dgFloat32 **vertexArray, dgInt32 *vertexCount, dgInt32 *vertexStrideInBytes, const dgInt32 *indexList, dgInt32 maxIndexCount, const dgInt32 *faceAttribute)
Public Types inherited from dgCollision

enum

dgRTTI {
dgCollisionNull_RTTI = 1<<0, dgCollisionBox_RTTI = 1<<1, dgCollisionCone_RTTI = 1<<2, dgCollisionSphere_RTTI = 1<<3,
dgCollisionCapsule_RTTI = 1<<4, dgCollisionCylinder_RTTI = 1<<5, dgCollisionConvexHull_RTTI = 1<<6, dgCollisionTaperedCapsule_RTTI = 1<<7,
dgCollisionTaperedCylinder_RTTI = 1<<8, dgCollisionChamferCylinder_RTTI = 1<<9, dgCollisionConvexPolygon_RTTI = 1<<10, dgCollisionConvexShape_RTTI = 1<<11,
dgCollisionCompound_RTTI = 1<<12, dgCollisionBVH_RTTI = 1<<13, dgCollisionMesh_RTTI = 1<<14, dgCollisionDeformableMesh_RTTI = 1<<15,
dgCollisionDeformableSolidMesh_RTTI = 1<<16, dgCollisionDeformableClothPatch_RTTI = 1<<17, dgCollisionUserMesh_RTTI = 1<<18, dgCollisionHeightField_RTTI = 1<<19,
dgCollisionScene_RTTI = 1<<20, dgCollisionCompoundBreakable_RTTI = 1<<21
}

typedef void(dgApi * | OnDebugCollisionMeshCallback) (void *userData, int vertexCount, const dgFloat32 *FaceArray, int faceId)

## Public Member Functions

| dgCollisionUserMesh (dgWorld *const world, const dgVector &boxP0, const dgVector &boxP1, const dgUserMeshCreation &data)
| dgCollisionUserMesh (dgWorld *const world, dgDeserialize deserialization, void *const userData)
virtual | ~dgCollisionUserMesh (void)
void | GetVertexListIndexList (const dgVector &p0, const dgVector &p1, dgMeshVertexListIndexList &data) const
bool | AABBOvelapTest (const dgVector &boxP0, const dgVector &boxP1) const
Public Member Functions inherited from dgCollisionMesh
| dgCollisionMesh (dgWorld *const world, dgCollisionID type)
| dgCollisionMesh (dgWorld *const world, dgDeserialize deserialization, void *const userData)
virtual | ~dgCollisionMesh ()
virtual dgFloat32 | GetVolume () const
virtual dgFloat32 | GetBoxMinRadius () const
virtual dgFloat32 | GetBoxMaxRadius () const
void | SetDebugCollisionCallback (dgCollisionMeshCollisionCallback debugCallback)
dgCollisionMeshCollisionCallback | GetDebugCollisionCallback () const
Public Member Functions inherited from dgCollision
dgInt32 | IsType (dgRTTI type) const
dgUnsigned32 | GetSignature () const
dgCollisionID | GetCollisionPrimityType () const
virtual void | MassProperties ()
virtual dgFloat32 | CalculateMassProperties (const dgMatrix &offset, dgVector &inertia, dgVector &crossInertia, dgVector &centerOfMass) const
virtual dgMatrix | CalculateInertiaAndCenterOfMass (const dgMatrix &m_alignMatrix, const dgVector &localScale, const dgMatrix &matrix) const
virtual dgFloat32 | GetSkinThickness () const
virtual void | SerializeLow (dgSerialize callback, void *const userData) const
virtual dgInt32 | GetConvexVertexCount () const
const dgCollision * | AddRef () const
dgInt32 | GetRefCount () const
virtual dgInt32 | Release () const
const dgVector & | GetObbOrigin () const
virtual dgVector | GetObbSize () const
dgFloat32 | GetUmbraClipSize () const
dgMemoryAllocator * | GetAllocator () const

## Additional Inherited Members

Static Public Member Functions inherited from dgCollision
static dgUnsigned32 | Quantize (dgFloat32 value)
static dgUnsigned32 | Quantize (void *buffer, int size)
Public Attributes inherited from dgCollisionMesh
DG_MSC_VECTOR_ALIGMENT class dgCollisionMesh::dgMeshVertexListIndexList | DG_GCC_VECTOR_ALIGMENT
Protected Member Functions inherited from dgCollisionMesh
virtual void | SetCollisionBBox (const dgVector &p0, const dgVector &p1)
Protected Member Functions inherited from dgCollision
| dgCollision (const dgCollision &source)
| dgCollision (dgMemoryAllocator *const allocator, dgUnsigned32 signature, dgCollisionID id)
| dgCollision (dgWorld *const world, dgDeserialize deserialization, void *const userData)
virtual | ~dgCollision ()
void | SetSignature (dgInt32 signature)
Protected Attributes inherited from dgCollisionMesh
dgCollisionMeshCollisionCallback | m_debugCallback
Protected Attributes inherited from dgCollision
dgVector | m_inertia
dgVector | m_crossInertia
dgVector | m_centerOfMass
dgVector | m_boxSize
dgVector | m_boxOrigin
dgInt32 | m_rtti
dgInt32 | m_refCount
dgUnsigned32 | m_signature
dgCollisionID | m_collisionId
dgMemoryAllocator * | m_allocator

## Member Typedef Documentation

## § OnUserMeshAABBOverlapTest

typedef dgInt32(dgApi * dgCollisionUserMesh::OnUserMeshAABBOverlapTest) (void *const userData, const dgVector &boxP0, const dgVector &boxP1)

## § OnUserMeshCollideCallback

typedef void(dgApi * dgCollisionUserMesh::OnUserMeshCollideCallback) (void *const collideData, const void *const continueHandle)

## § OnUserMeshCollisionInfo

typedef void(dgApi * dgCollisionUserMesh::OnUserMeshCollisionInfo) (void *userData, dgCollisionInfo *infoRecord)

## § OnUserMeshDestroyCallback

typedef void(dgApi * dgCollisionUserMesh::OnUserMeshDestroyCallback) (void *const userData)

## § OnUserMeshFacesInAABB

typedef void(dgApi * dgCollisionUserMesh::OnUserMeshFacesInAABB) (void *userData, const dgFloat32 *p0, const dgFloat32 *p1, const dgFloat32 **vertexArray, dgInt32 *vertexCount, dgInt32 *vertexStrideInBytes, const dgInt32 *indexList, dgInt32 maxIndexCount, const dgInt32 *faceAttribute)

## § OnUserMeshRayHitCallback

typedef dgFloat32(dgApi * dgCollisionUserMesh::OnUserMeshRayHitCallback) (dgCollisionMeshRayHitDesc &rayHitdata)

## § OnUserMeshSerialize

typedef void(dgApi * dgCollisionUserMesh::OnUserMeshSerialize) (void *const userSerializeData, dgSerialize function, void *const serilalizeObject)

## Constructor & Destructor Documentation

## § dgCollisionUserMesh() [1/2]

dgCollisionUserMesh::dgCollisionUserMesh | ( | dgWorld *const | world,
|  | const dgVector & | boxP0,
|  | const dgVector & | boxP1,
|  | const dgUserMeshCreation & | data
| ) |  |

## § dgCollisionUserMesh() [2/2]

dgCollisionUserMesh::dgCollisionUserMesh | ( | dgWorld *const | world,
|  | dgDeserialize | deserialization,
|  | void *const | userData
| ) |  |

## § ~dgCollisionUserMesh()

dgCollisionUserMesh::~dgCollisionUserMesh | ( | void |  | ) |

virtual

## Member Function Documentation

## § AABBOvelapTest()

bool dgCollisionUserMesh::AABBOvelapTest | ( | const dgVector & | boxP0,
|  | const dgVector & | boxP1
| ) |  | const

## § GetVertexListIndexList()

void dgCollisionUserMesh::GetVertexListIndexList | ( | const dgVector & | p0,
|  | const dgVector & | p1,
|  | dgMeshVertexListIndexList & | data
| ) |  | const

virtual

Implements dgCollisionMesh.

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionUserMesh.h
- dynamics.mod/NewtonDynamics/source/physics/dgCollisionUserMesh.cpp